#!/bin/bash -ex

# set up ONOS build environment
ONOS_ROOT=`pwd`
. tools/build/envDefaults

# import GPG key
gpg --import jenkins.key

env
 
# set up release build credentials
. onos-build-credentials

env

git config user.email "jenkins@onosproject.org"
git config user.name "ONOS Jenkins User"

# stage the maven settings
mkdir -p ~/.m2
mv settings.xml ~/.m2/settings.xml

# stage the SSH key
cp id_rsa.pub ~/.ssh

# set user to use for uploading javadocs
WIKI_USER="jenkins"
export WIKI_USER

# run the build
onos-build-and-upload ${ONOS_VERSION} ${ONOS_NEXT_VERSION} ${GERRIT_BRANCH}
